# $Revision: 1.30 $, $Date: 2011/02/04 18:24:03 $
Summary:	Simple, slim and sleek text editor
Summary(pl.UTF-8):	Prosty, niewielki i elegancki edytor tekstu
Name:		scribes
Version:	0.3.3.3
Release:	5
License:	GPL
Group:		Applications/Editors
Source0:	http://downloads.sourceforge.net/scribes/%{name}-%{version}.tar.bz2
# Source0-md5:	1290e669550d3392791f1a21662939ee
URL:		http://scribes.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-dbus
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-gnome-desktop-gtksourceview
BuildRequires:	python-gnome-extras-gtkspell
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.5
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
%pyrequires_eq	python-modules
Requires:	python-gnome-desktop-gtksourceview
Requires:	python-gnome-desktop-print
Requires:	python-gnome-extras-gtkspell
Requires:	python-gnome-ui >= 2.12.2-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scribes is a simple and easy to use text editor for GNOME.

%description -l pl.UTF-8
Scribes jest jest prostym i łatwym w użyciu edytorem tekstu dla GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%{configure}
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	LIBDIR=/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=/%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/SCRIBES/*.py

install data/scribes.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install scribes.schemas
%update_desktop_database_post
%scrollkeeper_update_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall scribes.schemas

%postun
%update_desktop_database_postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO TRANSLATORS
%attr(755,root,root) %{_bindir}/scribes
%dir %{py_sitescriptdir}/SCRIBES
%{py_sitescriptdir}/SCRIBES/*.py[co]
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/scribes.png
%{_omf_dest_dir}/%{name}
%{_sysconfdir}/gconf/schemas/scribes.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scribes.spec,v $
Revision 1.30  2011/02/04 18:24:03  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.29  2011/01/23 16:08:35  sparky
- BR: autoconf, automake, docbook-dtd412-xml, gettext-devel, gnome-common,
  gnome-doc-utils, intltool, pkgconfig, python-dbus, rpm-pythonprov
- dropped unused BR: python-gnome-desktop, python-gnome-devel
- adapterized

Revision 1.28  2010/07/09 11:24:27  arekm
- release 4

Revision 1.27  2010/07/08 08:46:55  arekm
- release 3

Revision 1.26  2008/10/03 18:04:32  arekm
- release 2

Revision 1.25  2008-01-06 18:23:25  patrys
- 0.3.3.3

Revision 1.24  2008-01-03 15:03:28  qboosh
- updated/fixed deps

Revision 1.23  2008-01-02 18:03:21  patrys
- 0.3.3.1

Revision 1.22  2007-12-26 17:08:52  patrys
- 0.3.3

Revision 1.21  2007/10/02 13:37:22  patrys
- update icons cache

Revision 1.20  2007/10/01 15:32:14  patrys
- 0.3.2.9

Revision 1.19  2007/06/09 18:28:03  patrys
- 0.3.2.8

Revision 1.18  2007/06/06 16:23:31  patrys
- 0.3.2.7

Revision 1.17  2007/06/04 07:59:07  patrys
- 0.3.2.6

Revision 1.16  2007/05/13 18:05:51  patrys
- 0.3.2.4

Revision 1.15  2007/04/03 13:09:47  patrys
- 0.3.2

Revision 1.14  2007/03/25 14:57:20  patrys
- up to 0.3.1

Revision 1.13  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.11  2007/01/21 18:13:32  qboosh
- tab

Revision 1.10  2007/01/21 15:02:25  arekm
- rel 2

Revision 1.9  2006/12/04 17:13:40  patrys
- package all graphics

Revision 1.8  2006/12/04 17:09:24  patrys
- up to 0.3
- both patches irrelevant
- dbus code is broken and causes lag when starting

Revision 1.7  2006/05/27 09:30:13  qboosh
- fixed prep

Revision 1.6  2006/05/24 09:50:02  qboosh
- grrr, missing version information

Revision 1.5  2006/05/24 09:47:49  blaass
- ver up
[0.2.4.3]

Revision 1.4  2006/04/20 18:43:12  paladine
- GNOME 2.14.x deps
- missing dir
- rel. 2

Revision 1.3  2006/02/03 11:55:44  patrys
- up to 0.2.4

Revision 1.2  2005/12/04 20:49:11  freetz
- require python-gnome-extras-print

Revision 1.1  2005/12/04 20:13:24  freetz
- initial

